Support » Plugins and Hacks » AMP » expects parameter 1 to be a valid callback

  • When trying to editing AMP settings under Appearance > AMP I get this error:

    Strict standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method AMP_Customizer_Design_Settings::register_customizer_ui() should not be called statically in .../wp-includes/class-wp-hook.php on line 298

Viewing 2 replies - 1 through 2 (of 2 total)
  • I am getting a very similar error at the top of my AMP pages. The pages seem to display fine except for the error at the same line 298 of wp-hook.php. The error is “Warning: call_user_func_array() expects parameter 1 to be a valid callback, function ‘amp_add_headscripts’ not found or invalid function name in ..(edited path for privacy)../public/wp-includes/class-wp-hook.php on line 298.”

    Site is otherwise working fine and amp pages display but have this error at the top so they fail validation. Anyone know how to fix this, site is running PHP 5.6

    I figured mine out, it was from a custom function reference in the functions.php file for my theme that no longer exists but wasn’t removed. I think I only started seeing the error now from a difference in settings that was suppressing the error message previously. Hope you figure your error out.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.